// name: renderer.h
// desc: this is the renderer

#ifndef	__RENDERER_H__
#define	__RENDERER_H__

#include "mo_gfx.h"

bool init();
void setDims( GLint width, GLint height );
void cleanup();
void render();
void setBuildingScale(float);
void setCollisionNum(float);
void playCollisionSound();


///////////// begin touch stuff
//-----------------------------------------------------------------------------
// name: class Entity
// desc: abstraction for a entity
//-----------------------------------------------------------------------------
class Entity
{
public:
    Entity() : alpha( 1.0f ) { }
    virtual void render() { /* default: do nothing */ }
    
public:
    // location
    Vector3D loc;
    // orientation
    Vector3D ori;
    // scaling
    Vector3D sca;
    // color
    Vector3D col;
    // alpha
    GLfloat alpha;
    // velocity
    Vector3D vel;
	// texture
	int textureNum;
	float xRotation;
};


//-----------------------------------------------------------------------------
// name: class Projectile
// desc: do the bouncy thang!
//-----------------------------------------------------------------------------
class Projectile : public Entity
{
public:
	Projectile() : active(false), collisionCount( 0 ) { }
	virtual void render();
	virtual int updatePosition();

	//float tick() { return bar->tick(); };
public:
	GLboolean active;
	int collisionCount;
	float pitch;
	float rad;
};



//-----------------------------------------------------------------------------
// name: class TouchEntity
// desc: touch entity
//-----------------------------------------------------------------------------
class TouchEntity : public Entity
{
public:
    TouchEntity() : active(false), touch_ref(NULL) { }
    virtual void render();
    
public:
    GLboolean active;
    UITouch * touch_ref;
};


#endif // __RENDERER_H__

